## js8call 2.1.1%2Bds

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_configure:
	dh_auto_configure -- \
		-DBoost_INCLUDE_DIR=/usr/include \
		-Dhamlib_LIBRARY_DIRS=/usr/lib

%:
	dh $@

## js8call 2.1.1+ds

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8.10 FATAL_ERROR)

if (APPLE)
  #
  # The following variables define the portability and compatability attributes of the Mac OS X build
  # they are choosen with care and should not be changed without good cause.
  #
  # Among other things these options are chosen to match the portability and compatability options of the
  # Qt framework dylibs which can be checked as follows:
  #
  # otool -l <binary> | grep -A3 LC_VERSION_MIN_MACOSX
  #
  set (CMAKE_OSX_DEPLOYMENT_TARGET 10.9
    CACHE STRING "Earliest version of OS X supported

Earliest version we can support with Qt 5.8, C++11 & libc++ is 10.9.
Do not override this if you intend to build an official deployable installer.")
  set (CMAKE_OSX_SYSROOT /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.11.sdk
    CACHE STRING "Mac OS X SDK to build with

Change this to the newest SDK available that you can install on your system (10.11 preferred).
Do not override this if you intend to build an official deployable installer.")
endif (APPLE)

project (js8call C CXX Fortran)

#
# CMake policies
#
if (POLICY CMP0020)
  cmake_policy (SET CMP0020 NEW) # link to Qt winmain on Windows
endif (POLICY CMP0020)

if (POLICY CMP0043)
  cmake_policy (SET CMP0043 NEW) # ignore COMPILE_DEFINITIONS_<CONFIG>
endif (POLICY CMP0043)

if (POLICY CMP0063)
  cmake_policy (SET CMP0063 NEW) # honour visibility properties for all library types
endif (POLICY CMP0063)

include (${PROJECT_SOURCE_DIR}/CMake/VersionCompute.cmake)
message (STATUS "Building ${CMAKE_PROJECT_NAME}-${wsjtx_VERSION}")

#
# project information
#
set (PROJECT_NAME "JS8Call")
set (PROJECT_VENDOR "Jordan Sherer, KN4CRD")
set (PROJECT_CONTACT "Jordan Sherer <kn4crd@gmail.com>")
set (PROJECT_COPYRIGHT "Copyright (C) 2001-2018 by Joe Taylor, K1JT, (C) 2018 by Jordan Sherer, KN4CRD")
set (PROJECT_HOMEPAGE https://groups.io/g/js8call)
set (PROJECT_SUMMARY_DESCRIPTION "${PROJECT_NAME} - Digital Modes for Weak Signal Communications in Amateur Radio.")
set (PROJECT_DESCRIPTION "${PROJECT_SUMMARY_DESCRIPTION}
 ${PROJECT_NAME} is a computer program designed to facilitate amateur
 radio communication using very weak signals.")

set (CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/CMake/Modules ${CMAKE_MODULE_PATH})

# make sure that the default configuration is a RELEASE
if (NOT CMAKE_BUILD_TYPE)
  set (CMAKE_BUILD_TYPE RELEASE CACHE STRING
    "Choose the type of build, options are: None Debug Release."
    FORCE)
endif (NOT CMAKE_BUILD_TYPE)
if (CMAKE_BUILD_TYPE MATCHES "[Dd][Ee][Bb][Uu][Gg]")
  set (is_debug_build 1)
endif ()


#
# Options & features
#
#	Some of these directly effect compilation by being defined in
#	wsjtx_config.h.in which makes them available to the C/C++
#	pre-processor.
#
include (CMakeDependentOption)

# Allow the developer to select if Dynamic or Static libraries are built
OPTION (BUILD_SHARED_LIBS "Build Shared Libraries" OFF)
# Set the LIB_TYPE variable to STATIC
SET (LIB_TYPE STATIC)
if (BUILD_SHARED_LIBS)
  # User wants to build Dynamic Libraries, so change the LIB_TYPE variable to CMake keyword 'SHARED'
  set (LIB_TYPE SHARED)
endif (BUILD_SHARED_LIBS)

option (UPDATE_TRANSLATIONS "Update source translation translations/*.ts
files (WARNING: make clean will delete the source .ts files! Danger!)")
option (WSJT_SHARED_RUNTIME "Debugging option that allows running from a shared Cloud directory.")
option (WSJT_QDEBUG_TO_FILE "Redirect Qt debuging messages to a trace file.")
option (WSJT_TRACE_CAT "Debugging option that turns on CAT diagnostics.")
option (WSJT_TRACE_CAT_POLLS "Debugging option that turns on CAT diagnostics during polling.")
option (WSJT_HAMLIB_TRACE "Debugging option that turns on minimal Hamlib internal diagnostics.")
option (WSJT_SOFT_KEYING "Apply a ramp to CW keying envelope to reduce transients." ON)
option (WSJT_SKIP_MANPAGES "Skip *nix manpage generation." ON)
option (WSJT_RIG_NONE_CAN_SPLIT "Allow split operation with \"None\" as rig.")

CMAKE_DEPENDENT_OPTION (WSJT_HAMLIB_VERBOSE_TRACE "Debugging option that turns on full Hamlib internal diagnostics." OFF WSJT_HAMLIB_TRACE OFF)
CMAKE_DEPENDENT_OPTION (WSJT_QDEBUG_IN_RELEASE "Leave Qt debugging statements in Release configuration." OFF
  "NOT is_debug_build" OFF)
CMAKE_DEPENDENT_OPTION (WSJT_ENABLE_EXPERIMENTAL_FEATURES "Enable features not fully ready for public releases." ON
  is_debug_build OFF)
CMAKE_DEPENDENT_OPTION (WSJT_CREATE_WINMAIN
  "The target is normally built as GUI executable with a WinMain entry point on Windows,
if you want a console application instead then set this option to OFF.

If you just want to see the debug output from the application then the easiest way is to
attach a debugger which will then receive the console output inside its console." ON
  "WIN32" OFF)


set (PROJECT_ARCHITECTURE "${CMAKE_SYSTEM_PROCESSOR}")
if (NOT PROJECT_ARCHITECTURE)
  # This is supposed to happen already on Windows
  set (PROJECT_ARCHITECTURE "$ENV{PROCESSOR_ARCHITECTURE}")
endif (NOT PROJECT_ARCHITECTURE)
message (STATUS "******************************************************")
message (STATUS "Building for for: ${CMAKE_SYSTEM_NAME}-${PROJECT_ARCHITECTURE}")
message (STATUS "******************************************************")


#
# install locations
#

if (APPLE)
  set (CMAKE_INSTALL_BINDIR ${CMAKE_PROJECT_NAME}.app/Contents/MacOS)
  set (CMAKE_INSTALL_DATAROOTDIR ${CMAKE_PROJECT_NAME}.app/Contents/Resources)
endif ()

include (GNUInstallDirs)

set (PLUGIN_DESTINATION ${CMAKE_INSTALL_LIBDIR}/plugins)
set (QT_CONF_DESTINATION ${CMAKE_INSTALL_BINDIR})
if (WIN32)
  set (PLUGIN_DESTINATION plugins)
elseif (APPLE)
  set (PLUGIN_DESTINATION ${CMAKE_INSTALL_BINDIR}/../PlugIns)
  set (QT_CONF_DESTINATION ${CMAKE_INSTALL_DATAROOTDIR})
endif ()

set (WSJT_PLUGIN_DESTINATION ${PLUGIN_DESTINATION} CACHE PATH "Path for plugins")
set (WSJT_QT_CONF_DESTINATION ${QT_CONF_DESTINATION} CACHE PATH "Path for the qt.conf file")


#
# Project sources
#
set (wsjt_qt_CXXSRCS
  qt_helpers.cpp
  MessageBox.cpp
  MetaDataRegistry.cpp
  NetworkServerLookup.cpp
  revision_utils.cpp
  WFPalette.cpp
  Radio.cpp
  RadioMetaType.cpp
  IARURegions.cpp
  Bands.cpp
  Modes.cpp
  FrequencyList.cpp
  StationList.cpp
  FrequencyLineEdit.cpp
  CandidateKeyFilter.cpp
  ForeignKeyDelegate.cpp
  LiveFrequencyValidator.cpp
  GetUserId.cpp
  TraceFile.cpp
  AudioDevice.cpp
  Transceiver.cpp
  TransceiverBase.cpp
  EmulateSplitTransceiver.cpp
  TransceiverFactory.cpp
  PollingTransceiver.cpp
  HamlibTransceiver.cpp
  HRDTransceiver.cpp
  DXLabSuiteCommanderTransceiver.cpp
  NetworkMessage.cpp
  Message.cpp
  MessageClient.cpp
  TCPClient.cpp
  LettersSpinBox.cpp
  HintedSpinBox.cpp
  RestrictedSpinBox.cpp
  HelpTextWindow.cpp
  DisplayManual.cpp
  MultiSettings.cpp
  MaidenheadLocatorValidator.cpp
  CallsignValidator.cpp
  SplashScreen.cpp
  EqualizationToolsDialog.cpp
  DoubleClickablePushButton.cpp
  DoubleClickableRadioButton.cpp
  )

set (wsjt_qtmm_CXXSRCS
  Audio/BWFFile.cpp
  )

set (js8_FSRCS
  lib/jt9.f90
  lib/jt9a.f90
  )

set (js8_CXXSRCS
  lib/ipcomm.cpp
  )

set (wsjtx_CXXSRCS
  DriftingDateTime.cpp
  logbook/adif.cpp
  logbook/countrydat.cpp
  logbook/countriesworked.cpp
  logbook/logbook.cpp
  psk_reporter.cpp
  Modulator.cpp
  Detector.cpp
  logqso.cpp
  displaytext.cpp
  decodedtext.cpp
  getfile.cpp
  soundout.cpp
  soundin.cpp
  meterwidget.cpp
  signalmeter.cpp
  plotter.cpp
  widegraph.cpp
  about.cpp
  astro.cpp
  messageaveraging.cpp
  WsprTxScheduler.cpp
  varicode.cpp
  jsc.cpp
  jsc_list.cpp
  jsc_map.cpp
  jsc_checker.cpp
  SelfDestructMessageBox.cpp
  messagereplydialog.cpp
  keyeater.cpp
  APRSISClient.cpp
  SpotClient.cpp
  Inbox.cpp
  messagewindow.cpp
  mainwindow.cpp
  Configuration.cpp
  main.cpp
  wsprnet.cpp
  WSPRBandHopping.cpp
  TransmitTextEdit.cpp
  WaveUtils.cpp
  WaveFile.cpp
  AudioDecoder.cpp
  NotificationAudio.cpp
  ProcessThread.cpp
  Decoder.cpp
  )

set (wsjt_CXXSRCS
  lib/crc10.cpp
  lib/crc12.cpp
  )
# deal with a GCC v6 UB error message
set_source_files_properties (
  lib/crc10.cpp
  lib/crc12.cpp
  PROPERTIES COMPILE_FLAGS -fpermissive)

if (WIN32)
  set (wsjt_CXXSRCS
    ${wsjt_CXXSRCS}
    killbyname.cpp
    )

  set (wsjt_qt_CXXSRCS
    ${wsjt_qt_CXXSRCS}
    OmniRigTransceiver.cpp
    )
endif (WIN32)

set (wsjt_FSRCS
  # put module sources first in the hope that they get rebuilt before use
  lib/crc.f90
  lib/fftw3mod.f90
  lib/hashing.f90
  lib/iso_c_utilities.f90
  lib/jt4.f90
  lib/jt4_decode.f90
  lib/jt65_decode.f90
  lib/jt65_mod.f90
  lib/jt9_decode.f90
  lib/options.f90
  lib/packjt.f90
  lib/readwav.f90
  lib/timer_C_wrapper.f90
  lib/timer_impl.f90
  lib/timer_module.f90
  lib/wavhdr.f90
  lib/js8a_module.f90
  lib/js8a_decode.f90
  lib/js8b_module.f90
  lib/js8b_decode.f90
  lib/js8c_module.f90
  lib/js8c_decode.f90
  lib/js8e_module.f90
  lib/js8e_decode.f90
  lib/js8i_module.f90
  lib/js8i_decode.f90

  # remaining non-module sources
  lib/addit.f90
  lib/afc65b.f90
  lib/afc9.f90
  lib/ana64.f90
  lib/ana932.f90
  lib/analytic.f90
  lib/astro.f90
  lib/astrosub.f90
  lib/astro0.f90
  lib/averms.f90
  lib/azdist.f90
  lib/badmsg.f90
  lib/bpdecode40.f90
  lib/bpdecode144.f90
  lib/ft8/bpdecode174.f90
  lib/baddata.f90
  lib/calibrate.f90
  lib/ccf2.f90
  lib/ccf65.f90
  lib/ft8/chkcrc12a.f90
  lib/chkcall.f90
  lib/chkhist.f90
  lib/chkmsg.f90
  lib/chkss2.f90
  lib/ft8/compress.f90
  lib/coord.f90
  lib/db.f90
  lib/decode4.f90
  lib/decode65a.f90
  lib/decode65b.f90
  lib/decode9w.f90
  lib/decoder.f90
  lib/deep4.f90
  lib/deg2grid.f90
  lib/degrade_snr.f90
  lib/demod64a.f90
  lib/determ.f90
  lib/downsam9.f90
  lib/encode232.f90
  lib/encode4.f90
  lib/encode_msk40.f90
  lib/encode_msk144.f90
  lib/ft8/encode174.f90
  lib/entail.f90
  lib/ephem.f90
  lib/extract.f90
  lib/extract4.f90
  lib/extractmessage144.f90
  lib/ft8/extractmessage174.f90
  lib/fano232.f90
  lib/fast9.f90
  lib/fchisq.f90
  lib/fchisq0.f90
  lib/fchisq65.f90
  lib/fil3.f90
  lib/fil3c.f90
  lib/fil4.f90
  lib/fil6521.f90
  lib/filbig.f90
  lib/ft8/filt8.f90
  lib/fitcal.f90
  lib/flat1.f90
  lib/flat1a.f90
  lib/flat1b.f90
  lib/flat2.f90
  lib/flat4.f90
  lib/flat65.f90
  lib/fmtmsg.f90
  lib/foldspec9f.f90
  lib/four2a.f90
  lib/ft8/foxfilt.f90
  lib/ft8/foxgen.f90
  lib/ft8/foxgen_wrap.f90
  lib/fqso_first.f90
  lib/freqcal.f90
  lib/ft8/ft8apset.f90
  lib/ft8/genft8.f90
  lib/js8/genjs8.f90
  lib/geodist.f90
  lib/getlags.f90
  lib/getmet4.f90
  lib/graycode.f90
  lib/graycode65.f90
  lib/grayline.f90
  lib/grid2deg.f90
  lib/ft8/h1.f90
  lib/hash.f90
  lib/hint65.f90
  lib/indexx.f90
  lib/init_random_seed.f90
  lib/interleave4.f90
  lib/interleave63.f90
  lib/interleave9.f90
  lib/inter_wspr.f90
  lib/iscat.f90
  lib/jplsubs.f
  lib/jt9fano.f90
  lib/jtmsg.f90
  lib/js8/ldpcsim174js8a.f90
  lib/js8/ldpcsim174js8b.f90
  lib/js8/ldpcsim174js8c.f90
  lib/js8/ldpcsim174js8e.f90
  lib/js8/ldpcsim174js8i.f90
  lib/ldpcsim40.f90
  lib/libration.f90
  lib/lorentzian.f90
  lib/lpf1.f90
  lib/mixlpf.f90
  lib/makepings.f90
  lib/moondopjpl.f90
  lib/morse.f90
  lib/move.f90
  lib/ft8/osd174.f90
  lib/pctile.f90
  lib/peakdt9.f90
  lib/peakup.f90
  lib/plotsave.f90
  lib/polyfit.f90
  lib/prog_args.f90
  lib/ps4.f90
  lib/qra64a.f90
  lib/refspectrum.f90
  lib/savec2.f90
  lib/sec_midn.f90
  lib/setup65.f90
  lib/sh65.f90
  lib/sh65snr.f90
  lib/slasubs.f
  lib/sleep_msec.f90
  lib/slope.f90
  lib/smo.f90
  lib/smo121.f90
  lib/softsym.f90
  lib/softsym9f.f90
  lib/softsym9w.f90
  lib/shell.f90
  lib/spec64.f90
  lib/spec9f.f90
  lib/stdmsg.f90
  lib/subtract65.f90
  lib/sun.f90
  lib/symspec.f90
  lib/symspec2.f90
  lib/symspec65.f90
  lib/sync4.f90
  lib/sync64.f90
  lib/sync65.f90
  lib/sync9.f90
  lib/sync9f.f90
  lib/sync9w.f90
  lib/synciscat.f90
  lib/timf2.f90
  lib/to_contest_msg.f90
  lib/tweak1.f90
  lib/twkfreq.f90
  lib/ft8/twkfreq1.f90
  lib/twkfreq65.f90
  lib/unpackmsg144.f90

=== debian/changelog ===
js8call (2.1.1+ds-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:16:48 +0100

js8call (2.1.1+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Fri, 27 Dec 2019 17:52:37 +0100

js8call (2.1.0+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #946627)

 -- Christoph Berg <myon@debian.org>  Mon, 23 Dec 2019 23:03:08 +0100

## js8call 2.2.0%2Bds

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,9 @@
 #!/usr/bin/make -f
+
+# hamlib 3: use older definitions of RIG and vfo_t
+#DPKG_EXPORT_BUILDFLAGS = 1
+#include /usr/share/dpkg/buildflags.mk
+#CXXFLAGS += -DJS8_USE_HAMLIB_THREE
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

## js8call 2.2.0+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -180,6 +180,7 @@
   NetworkMessage.cpp
   Message.cpp
   MessageClient.cpp
+  MessageServer.cpp
   TCPClient.cpp
   LettersSpinBox.cpp
   HintedSpinBox.cpp
@@ -214,6 +215,7 @@
   logbook/countrydat.cpp
   logbook/countriesworked.cpp
   logbook/logbook.cpp
+  fileutils.cpp
   psk_reporter.cpp
   Modulator.cpp
   Detector.cpp
@@ -228,9 +230,7 @@
   plotter.cpp
   widegraph.cpp
   about.cpp
-  astro.cpp
   messageaveraging.cpp
-  WsprTxScheduler.cpp
   varicode.cpp
   jsc.cpp
   jsc_list.cpp
@@ -246,8 +246,6 @@
   mainwindow.cpp
   Configuration.cpp
   main.cpp
-  wsprnet.cpp
-  WSPRBandHopping.cpp
   TransmitTextEdit.cpp
   WaveUtils.cpp
   WaveFile.cpp
@@ -285,11 +283,6 @@
   lib/fftw3mod.f90
   lib/hashing.f90
   lib/iso_c_utilities.f90
-  lib/jt4.f90
-  lib/jt4_decode.f90
-  lib/jt65_decode.f90
-  lib/jt65_mod.f90
-  lib/jt9_decode.f90
   lib/options.f90
   lib/packjt.f90
   lib/readwav.f90
@@ -309,161 +302,161 @@
   lib/js8i_decode.f90
 
   # remaining non-module sources
-  lib/addit.f90
-  lib/afc65b.f90
-  lib/afc9.f90
-  lib/ana64.f90
-  lib/ana932.f90
-  lib/analytic.f90
-  lib/astro.f90
-  lib/astrosub.f90
-  lib/astro0.f90
-  lib/averms.f90
   lib/azdist.f90
-  lib/badmsg.f90
-  lib/bpdecode40.f90
-  lib/bpdecode144.f90
   lib/ft8/bpdecode174.f90
   lib/baddata.f90
-  lib/calibrate.f90
-  lib/ccf2.f90
-  lib/ccf65.f90
   lib/ft8/chkcrc12a.f90
-  lib/chkcall.f90
-  lib/chkhist.f90
   lib/chkmsg.f90
-  lib/chkss2.f90
   lib/ft8/compress.f90
   lib/coord.f90
   lib/db.f90
-  lib/decode4.f90
-  lib/decode65a.f90
-  lib/decode65b.f90
-  lib/decode9w.f90
   lib/decoder.f90
-  lib/deep4.f90
   lib/deg2grid.f90
   lib/degrade_snr.f90
-  lib/demod64a.f90
   lib/determ.f90
-  lib/downsam9.f90
-  lib/encode232.f90
-  lib/encode4.f90
-  lib/encode_msk40.f90
-  lib/encode_msk144.f90
   lib/ft8/encode174.f90
-  lib/entail.f90
-  lib/ephem.f90
-  lib/extract.f90
-  lib/extract4.f90
-  lib/extractmessage144.f90
   lib/ft8/extractmessage174.f90
-  lib/fano232.f90
-  lib/fast9.f90
-  lib/fchisq.f90
-  lib/fchisq0.f90
-  lib/fchisq65.f90
-  lib/fil3.f90
-  lib/fil3c.f90
   lib/fil4.f90
-  lib/fil6521.f90
   lib/filbig.f90
   lib/ft8/filt8.f90
-  lib/fitcal.f90
   lib/flat1.f90
   lib/flat1a.f90
   lib/flat1b.f90
-  lib/flat2.f90
   lib/flat4.f90
-  lib/flat65.f90
   lib/fmtmsg.f90
-  lib/foldspec9f.f90
   lib/four2a.f90
   lib/ft8/foxfilt.f90
   lib/ft8/foxgen.f90
   lib/ft8/foxgen_wrap.f90
-  lib/fqso_first.f90
-  lib/freqcal.f90
-  lib/ft8/ft8apset.f90
-  lib/ft8/genft8.f90
   lib/js8/genjs8.f90
   lib/geodist.f90
-  lib/getlags.f90
-  lib/getmet4.f90
-  lib/graycode.f90
-  lib/graycode65.f90
-  lib/grayline.f90
   lib/grid2deg.f90
   lib/ft8/h1.f90
   lib/hash.f90
-  lib/hint65.f90
   lib/indexx.f90
   lib/init_random_seed.f90
-  lib/interleave4.f90
-  lib/interleave63.f90
-  lib/interleave9.f90
-  lib/inter_wspr.f90
-  lib/iscat.f90
-  lib/jplsubs.f
-  lib/jt9fano.f90
-  lib/jtmsg.f90
   lib/js8/ldpcsim174js8a.f90
   lib/js8/ldpcsim174js8b.f90
   lib/js8/ldpcsim174js8c.f90
   lib/js8/ldpcsim174js8e.f90
   lib/js8/ldpcsim174js8i.f90
-  lib/ldpcsim40.f90
-  lib/libration.f90
-  lib/lorentzian.f90
-  lib/lpf1.f90
-  lib/mixlpf.f90
-  lib/makepings.f90
-  lib/moondopjpl.f90
   lib/morse.f90
   lib/move.f90
   lib/ft8/osd174.f90
   lib/pctile.f90
-  lib/peakdt9.f90
-  lib/peakup.f90
   lib/plotsave.f90
   lib/polyfit.f90
   lib/prog_args.f90
-  lib/ps4.f90
-  lib/qra64a.f90
   lib/refspectrum.f90
   lib/savec2.f90
   lib/sec_midn.f90
-  lib/setup65.f90
-  lib/sh65.f90
-  lib/sh65snr.f90
-  lib/slasubs.f
   lib/sleep_msec.f90
-  lib/slope.f90
   lib/smo.f90
   lib/smo121.f90
-  lib/softsym.f90
-  lib/softsym9f.f90
-  lib/softsym9w.f90
   lib/shell.f90
-  lib/spec64.f90
-  lib/spec9f.f90
   lib/stdmsg.f90
-  lib/subtract65.f90
-  lib/sun.f90
   lib/symspec.f90
-  lib/symspec2.f90
-  lib/symspec65.f90
-  lib/sync4.f90
-  lib/sync64.f90
-  lib/sync65.f90
-  lib/sync9.f90
-  lib/sync9f.f90
-  lib/sync9w.f90
-  lib/synciscat.f90
   lib/timf2.f90
-  lib/to_contest_msg.f90
-  lib/tweak1.f90
   lib/twkfreq.f90
   lib/ft8/twkfreq1.f90
-  lib/twkfreq65.f90
-  lib/unpackmsg144.f90
+  lib/wav12.f90
+  )
+
+# temporary workaround for a gfortran v7.3 ICE on Fedora 27 64-bit
+
+set (sqlite3_CSRCS
+  vendor/sqlite3/sqlite3.c
+  )
+
+set (wsjt_CSRCS
+  lib/gran.c
+  lib/init_random_seed.c
+  lib/ldpc32_table.c
+  lib/nhash.c
+  lib/tab.c
+  lib/usleep.c
+  lib/wisdom.c
+  ${ldpc_CSRCS}
+  )
+
+set (wsjt_qt_UISRCS
+  wf_palette_design_dialog.ui
+  )
+
+set (wsjtx_UISRCS
+  mainwindow.ui
+  messagewindow.ui
+  about.ui
+  messageaveraging.ui
+  widegraph.ui
+  logqso.ui
+  Configuration.ui
+  messagereplydialog.ui
+  )
+
+set (qcp_CXXSRCS
+  qcustomplot-source/qcustomplot.cpp
+  )
+
+set (all_CXXSRCS
+  ${wsjt_CXXSRCS}
+  ${wsjt_qt_CXXSRCS}
+  ${wsjt_qtmm_CXXSRCS}
+  ${js8_CXXSRCS}
+  ${wsjtx_CXXSRCS}
+  ${qcp_CXXSRCS}
+  )
+
+set (all_C_and_CXXSRCS
+  ${sqlite3_CSRCS}
+  ${wsjt_CSRCS}
+  ${all_CXXSRCS}
+  )
+
+set (TOP_LEVEL_RESOURCES
+  cty.dat
+  icons/Darwin/JS8Call.iconset/icon_128x128.png
+  contrib/gpl-v3-logo.svg
+  artwork/splash.png
+  )
+
+set (PALETTE_FILES
+  Palettes/Banana.pal
+  Palettes/Blue1.pal
+  Palettes/Blue2.pal
+  Palettes/Blue3.pal
+  Palettes/Brown.pal
+  Palettes/Cyan1.pal
+  Palettes/Cyan2.pal
+  Palettes/Cyan3.pal
+  Palettes/Default.pal
+  Palettes/Digipan.pal
+  Palettes/Fldigi.pal
+  Palettes/Gray1.pal
+  Palettes/Gray2.pal
+  Palettes/Green1.pal
+  Palettes/Green2.pal
+  Palettes/Jungle.pal
+  Palettes/Linrad.pal
+  Palettes/Negative.pal
+  Palettes/Orange.pal
+  Palettes/Pink.pal
+  Palettes/Rainbow.pal
+  Palettes/Scope.pal
+  Palettes/Sunburst.pal
+  Palettes/VK4BDJ.pal
+  Palettes/YL2KF.pal
+  Palettes/Yellow1.pal
+  Palettes/Yellow2.pal
+  Palettes/ZL1FZ.pal
+)
+
+if (APPLE)
+  set (WSJTX_ICON_FILE ${CMAKE_PROJECT_NAME}.icns)
+  set (ICONSRCS
+    icons/Darwin/${CMAKE_PROJECT_NAME}.iconset/icon_16x16.png
+    icons/Darwin/${CMAKE_PROJECT_NAME}.iconset/icon_16x16@2x.png
+    icons/Darwin/${CMAKE_PROJECT_NAME}.iconset/icon_32x32.png
+    icons/Darwin/${CMAKE_PROJECT_NAME}.iconset/icon_32x32@2x.png
+    icons/Darwin/${CMAKE_PROJECT_NAME}.iconset/icon_128x128.png
+    icons/Darwin/${CMAKE_PROJECT_NAME}.iconset/icon_128x128@2x.png

=== debian/changelog ===
js8call (2.2.0+ds-6) unstable; urgency=medium

  * Set -DCMAKE_POLICY_VERSION_MINIMUM=3.5. (Closes: #1113061)
  * Re-enable LTO. (Closes: #1015431)

 -- Christoph Berg <myon@debian.org>  Mon, 01 Sep 2025 10:38:33 +0200

js8call (2.2.0+ds-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on libhamlib-dev.

  [ Christoph Berg ]
  * Build against qcustomplot 2.1.0. (Closes: #1024101)

 -- Christoph Berg <myon@debian.org>  Wed, 23 Nov 2022 11:20:46 +0100

js8call (2.2.0+ds-4) unstable; urgency=medium

  * Depend on libqt5multimedia5-plugins, spotted by Ryan Kavanagh, thanks!
    (Closes: 1021268)

 -- Christoph Berg <myon@debian.org>  Fri, 07 Oct 2022 16:35:30 +0200

js8call (2.2.0+ds-3) unstable; urgency=medium

  * Team upload.
  * Use debhelper-compat 13
  * Explicitly build with LTO disabled (See: #1015431)
  * Bump Standards-Version to 4.6.1

 -- tony mancill <tmancill@debian.org>  Sun, 07 Aug 2022 13:32:42 -0700

js8call (2.2.0+ds-2) unstable; urgency=medium

  * Use hamlib 4.

 -- Christoph Berg <myon@debian.org>  Tue, 05 Jan 2021 10:48:01 +0100

js8call (2.2.0+ds-1) unstable; urgency=medium

  * New upstream version. (Closes: #964016)
  * Set JS8_USE_HAMLIB_THREE. (Fixes FTBFS with gcc 10, Closes: #957387)

 -- Christoph Berg <myon@debian.org>  Mon, 27 Jul 2020 17:11:13 +0200

=== debian/control ===
Source: js8call
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Section: hamradio
Priority: optional
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 gfortran,
 libboost-dev,
# TODO: why libegl1?
 libegl-dev,
 libfftw3-dev,
 libhamlib-dev,
 libqcustomplot-dev,
 libqt5serialport5-dev,
 libsqlite3-dev,
 libudev-dev,
 qtmultimedia5-dev,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/js8call
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/js8call.git
Homepage: http://js8call.com/
Rules-Requires-Root: no

Package: js8call
Architecture: linux-any
Depends:
 libhamlib-utils,
 libqt5multimedia5-plugins,
 wsjtx-data,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Amateur Radio Digital Mode providing weak signal messaging
 JS8Call is using the JS8 Digital Mode for providing weak signal keyboard to
 keyboard messaging to Amateur Radio Operators.
 .
 JS8Call is an experiment to test the feasibility of a digital mode with the
 robustness of FT8, combined with a messaging and network protocol layer for
 weak signal communication on HF, using a keyboard messaging style interface.
 It is not designed for any specific purpose other than connecting amateur
 radio operators who are operating under weak signal conditions. JS8Call is
 heavily inspired by WSJT-X, Fldigi, and FSQCall and would not exist without
 the hard work and dedication of the many developers in the amateur radio
 community.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_POLICY_VERSION_MINIMUM=3.5 \
		-DBoost_INCLUDE_DIR=/usr/include \
		-Dhamlib_LIBRARY_DIRS=/usr/lib

%:
	dh $@

=== debian/watch ===
version=4
opts="dversionmangle=s/\+ds//, repacksuffix=+ds" \
http://files.js8call.com/latest.html .*/js8call-(.*).tgz

## js8call 2.5.0+ds

=== debian/changelog ===
js8call (2.5.0+ds-1) unstable; urgency=medium

  * New upstream version 2.5.0+ds from
    https://github.com/JS8Call-improved/JS8Call-improved/.

 -- Christoph Berg <myon@debian.org>  Sat, 10 Jan 2026 21:29:28 +0100

## js8call 2.5.1+ds

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.22 FATAL_ERROR)
#------------------------------------------------------------------------------#
#
#   JS8Call Build:
#
#     1) mkdir build
#     2) cd build
#     3) cmake ..
#     4) make
#
#     For subsequent builds, just skip directly to step 4.
#
#------------------------------------------------------------------------------#

#------------------------------------------------------------------------------#
# Policies; add to this list as required:
#
#  - CMP0167: Require a Boost 1.70+ installation, with cmake support.
#  - CMP0177: DESTINATION paths are normalized.
#------------------------------------------------------------------------------#

foreach(policy CMP0167 CMP0177)
  if(POLICY ${policy})
    cmake_policy(SET ${policy} NEW)
  endif()
endforeach()

#------------------------------------------------------------------------------#
# Configuration defaults that we allow to be overridden on the cmake
# command line.
#------------------------------------------------------------------------------#

if (NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
endif()

if (NOT CMAKE_PREFIX_PATH)
  set(CMAKE_PREFIX_PATH ${CMAKE_SOURCE_DIR}/../js8libs)
endif()

#------------------------------------------------------------------------------#
# Configuration defaults that we don't allow to be overridden.
#------------------------------------------------------------------------------#

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_CXX_EXTENSIONS OFF)
set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_OSX_DEPLOYMENT_TARGET 12.0)

#------------------------------------------------------------------------------#
# Project
#------------------------------------------------------------------------------#

project(
  JS8Call
  VERSION   2.5.0
  LANGUAGES C CXX
)

set(PROJECT_VENDOR "Jordan Sherer, KN4CRD")
set(PROJECT_CONTACT "Jordan Sherer <kn4crd@gmail.com>")
set(PROJECT_COPYRIGHT "Copyright (C) 2001-2018 by Joe Taylor, K1JT, (C) 2018 by Jordan Sherer, KN4CRD, (C) of contributed work is owned by individual contributors")
set(PROJECT_HOMEPAGE https://groups.io/g/js8call)
set(PROJECT_SUMMARY_DESCRIPTION "${PROJECT_NAME} - Digital Modes for Weak Signal Communications in Amateur Radio.")
set(PROJECT_DESCRIPTION "${PROJECT_SUMMARY_DESCRIPTION}
 ${PROJECT_NAME} is a computer program designed to facilitate amateur
 radio communication using very weak signals.")

#------------------------------------------------------------------------------#
# Add our own CMake modules.
#------------------------------------------------------------------------------#

list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/CMake/Modules")

#------------------------------------------------------------------------------#
# CMake Script Includes
#------------------------------------------------------------------------------#

include(CheckTypeSize)
include(CheckSymbolExists)
include(CMakeDependentOption)
include(GenerateExportHeader)
include(GNUInstallDirs)
include(VersionCompute)

#------------------------------------------------------------------------------#
# Options and features. Some of these directly affect compilation by being
# define in wsjtx_config.h.in, which makes them available to the C/C++
# preprocessor.
#------------------------------------------------------------------------------#

option(WSJT_QDEBUG_TO_FILE     "Redirect Qt debugging messages to a trace file.")
option(WSJT_HAMLIB_TRACE       "Debugging option that turns on minimal Hamlib internal diagnostics.")
option(WSJT_RIG_NONE_CAN_SPLIT "Allow split operation with \"None\" as rig.")

cmake_dependent_option(
  WSJT_HAMLIB_VERBOSE_TRACE
  "Debugging option that turns on full Hamlib internal diagnostics."
  OFF
  WSJT_HAMLIB_TRACE
  OFF)

cmake_dependent_option(
  WSJT_QDEBUG_IN_RELEASE
  "Leave Qt debugging statements in Release configuration."
  OFF
  "NOT (CMAKE_BUILD_TYPE STREQUAL Debug)"
  OFF)

cmake_dependent_option(
  WSJT_ENABLE_EXPERIMENTAL_FEATURES
  "Enable features not fully ready for public releases."
  ON
  "CMAKE_BUILD_TYPE STREQUAL Debug"
  OFF)

#------------------------------------------------------------------------------#
# Ensure we have required library dependencies; we'll need headers from the
# Boost and FFTW3 libraries.
#------------------------------------------------------------------------------#

find_package(Boost 1.77 REQUIRED)
find_package(FFTW3      REQUIRED COMPONENTS single threads)
find_package(Hamlib     REQUIRED)
find_package(Qt6    6.5 REQUIRED COMPONENTS Multimedia Network SerialPort Widgets)

include_directories(${Boost_INCLUDE_DIRS})
include_directories(${FFTW3_INCLUDE_DIRS})

#------------------------------------------------------------------------------#
# OSX requires an icon file resource.
#------------------------------------------------------------------------------#

if (APPLE)
  set(ICON_FILE ${CMAKE_PROJECT_NAME}.icns)
  set(ICON_SRCS
    icons/Darwin/${CMAKE_PROJECT_NAME}.iconset/icon_16x16.png
    icons/Darwin/${CMAKE_PROJECT_NAME}.iconset/icon_16x16@2x.png
    icons/Darwin/${CMAKE_PROJECT_NAME}.iconset/icon_32x32.png
    icons/Darwin/${CMAKE_PROJECT_NAME}.iconset/icon_32x32@2x.png
    icons/Darwin/${CMAKE_PROJECT_NAME}.iconset/icon_128x128.png
    icons/Darwin/${CMAKE_PROJECT_NAME}.iconset/icon_128x128@2x.png
    icons/Darwin/${CMAKE_PROJECT_NAME}.iconset/icon_256x256.png
    icons/Darwin/${CMAKE_PROJECT_NAME}.iconset/icon_256x256@2x.png
    icons/Darwin/${CMAKE_PROJECT_NAME}.iconset/icon_512x512.png
    icons/Darwin/${CMAKE_PROJECT_NAME}.iconset/icon_512x512@2x.png
  )
  add_custom_command(
    OUTPUT ${ICON_FILE}
    COMMAND iconutil -c icns --output "${CMAKE_BINARY_DIR}/${ICON_FILE}" "${CMAKE_SOURCE_DIR}/icons/Darwin/${CMAKE_PROJECT_NAME}.iconset"
    DEPENDS ${ICON_SRCS}
    COMMENT "Building Icons"
  )
  set_source_files_properties(${ICON_FILE} PROPERTIES MACOSX_PACKAGE_LOCATION "Resources")
endif (APPLE)

#------------------------------------------------------------------------------#
# Create a target that's the same as our project name; that'll be our
# created executable.
#------------------------------------------------------------------------------#

set(TARGET ${PROJECT_NAME})

qt_add_executable(${TARGET} MACOSX_BUNDLE WIN32 ${ICON_FILE})

#------------------------------------------------------------------------------#
# OSX requires a number of settings in the plist file.
#------------------------------------------------------------------------------#

set_target_properties(
  ${TARGET} PROPERTIES
  MACOSX_BUNDLE_INFO_PLIST             "${CMAKE_CURRENT_SOURCE_DIR}/Darwin/Info.plist.in"
  MACOSX_BUNDLE_INFO_STRING            "JS8 mode providing weak signal communications for Amateur Radio"
  MACOSX_BUNDLE_ICON_FILE              "${ICON_FILE}"
  MACOSX_BUNDLE_BUNDLE_VERSION         "${wsjtx_VERSION}"
  MACOSX_BUNDLE_SHORT_VERSION_STRING   "${wsjtx_SHORT_VERSION}"
  MACOSX_BUNDLE_BUNDLE_NAME            "${PROJECT_NAME}"
  MACOSX_BUNDLE_BUNDLE_EXECUTABLE_NAME "${PROJECT_NAME}"
  MACOSX_BUNDLE_COPYRIGHT              "${PROJECT_COPYRIGHT}"
  MACOSX_BUNDLE_GUI_IDENTIFIER          "org.kn4crd.js8call"
)

#------------------------------------------------------------------------------#
# Set CMAKE_BUILD to 1 globally for use by things that need to know
# they're being compiled under cmake, then preprocess and precompile
# the configuration header.
#------------------------------------------------------------------------------#

target_compile_definitions(${TARGET} PRIVATE CMAKE_BUILD)

configure_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/JS8_Include/wsjtx_config.h.in"
  "${CMAKE_CURRENT_BINARY_DIR}/wsjtx_config.h"
)

target_precompile_headers(
  ${TARGET} PRIVATE
  ${CMAKE_CURRENT_BINARY_DIR}/wsjtx_config.h
)

#------------------------------------------------------------------------------#
# Source files common to all platforms.
#------------------------------------------------------------------------------#

target_sources(
  ${TARGET} PRIVATE
  vendor/sqlite3/sqlite3.c
  JS8_Audio/AudioDevice.cpp
  JS8_Audio/BWFFile.cpp
  JS8_Audio/NotificationAudio.cpp
  JS8_Audio/soundin.cpp
  JS8_Audio/soundout.cpp
  JS8_Deprecated/DisplayManual.cpp
  JS8_jsc/jsc.cpp
  JS8_jsc/jsc_checker.cpp
  JS8_jsc/jsc_list.cpp
  JS8_jsc/jsc_map.cpp
  JS8_Logbook/adif.cpp
  JS8_Logbook/countrydat.cpp
  JS8_Logbook/countriesworked.cpp
  JS8_Logbook/logbook.cpp
  JS8_Main/APRSISClient.cpp
  JS8_Main/AttenuationSlider.cpp
  JS8_Main/Bands.cpp
  JS8_Main/CallsignValidator.cpp
  JS8_Main/CandidateKeyFilter.cpp
  JS8_Main/DriftingDateTime.cpp
  JS8_Main/Flatten.cpp
  JS8_Main/ForeignKeyDelegate.cpp
  JS8_Main/FrequencyLineEdit.cpp
  JS8_Main/FrequencyList.cpp
  JS8_Main/Geodesic.cpp
  JS8_Main/HelpTextWindow.cpp
  JS8_Main/IARURegions.cpp
  JS8_Main/Inbox.cpp
  JS8_Main/JS8MessageBox.cpp
  JS8_Main/Message.cpp
  JS8_Main/MessageClient.cpp
  JS8_Main/MessageError.cpp
  JS8_Main/MessageServer.cpp
  JS8_Main/MetaDataRegistry.cpp
  JS8_Main/MultiSettings.cpp
  JS8_Main/RDP.cpp
  JS8_Main/StationList.cpp
  JS8_Main/TxLoop.cpp
  JS8_Main/WF.cpp
  JS8_Main/fileutils.cpp
  JS8_Main/main.cpp
  JS8_Main/Modes.cpp
  JS8_Main/plotter.cpp
  JS8_Main/ProcessThread.cpp
  JS8_Main/qDateTimeExperiment.cpp
  JS8_Main/qt_helpers.cpp
  JS8_Main/Radio.cpp
  JS8_Main/RadioMetaType.cpp
  JS8_Main/revision_utils.cpp
  JS8_Main/SelfDestructMessageBox.cpp
  JS8_Main/SignalMeter.cpp
  JS8_Main/TraceFile.cpp
  JS8_Main/TransmitTextEdit.cpp
  JS8_Main/TwoPhaseSignal.cpp
  JS8_Main/varicode.cpp
  JS8_Mode/Detector.cpp
  JS8_Mode/JS8.cpp
  JS8_Mode/JS8Submode.cpp
  JS8_Mode/Modulator.cpp
  JS8_Mode/decodedtext.cpp
  JS8_Mode/kalman.cpp
  JS8_Network/NetworkServerLookup.cpp
  JS8_Network/PSKReporter.cpp
  JS8_Network/SpotClient.cpp
  JS8_Network/TCPClient.cpp
  JS8_Transceiver/DXLabSuiteCommanderTransceiver.cpp
  JS8_Transceiver/EmulateSplitTransceiver.cpp
  JS8_Transceiver/HamlibTransceiver.cpp
  JS8_Transceiver/HRDTransceiver.cpp
  JS8_Transceiver/PollingTransceiver.cpp
  JS8_Transceiver/Transceiver.cpp
  JS8_Transceiver/TransceiverBase.cpp
  JS8_Transceiver/TransceiverFactory.cpp
  JS8_UDP/NetworkMessage.cpp
  JS8_UDP/WSJTXMessageClient.cpp
  JS8_UDP/WSJTXMessageMapper.cpp
  JS8_UI/Configuration.cpp
  JS8_UI/about.cpp
  JS8_UI/logqso.cpp
  JS8_UI/mainwindow.cpp
  JS8_UI/messagereplydialog.cpp
  JS8_UI/messagewindow.cpp
  JS8_UI/widegraph.cpp
  JS8_Widgets/CheckableItemComboBox.cpp
  JS8_Widgets/LazyFillComboBox.cpp
)

#------------------------------------------------------------------------------#
# Link libraries common to all platforms.
#------------------------------------------------------------------------------#

target_link_libraries(
  ${TARGET} PRIVATE
  ${FFTW3_LIBRARIES}
  Hamlib::Hamlib
  Qt::Multimedia
  Qt::Network
  Qt::SerialPort
  Qt::Widgets
)

#------------------------------------------------------------------------------#
# Resources for country data and eclipse dates, used by the log book and the
# PSK reporter, respectively.
#------------------------------------------------------------------------------#

qt_add_resources(
  ${TARGET} "data"
  FILES
  JS8_Include/cty.dat
  JS8_Include/eclipse.txt
)

#------------------------------------------------------------------------------#
# Up and down arrow image resources, used in the main window by the
# frequency controls.
#------------------------------------------------------------------------------#

qt_add_resources(
  ${TARGET} "images"
  PREFIX   "/images"
  FILES
  artwork/up.png
  artwork/down.png
)

#------------------------------------------------------------------------------#
# Waterfall palette resources.
#------------------------------------------------------------------------------#

qt_add_resources(
  ${TARGET} "palettes"
  BASE      "Palettes"
  PREFIX   "/Palettes"
  FILES
  Palettes/Banana.pal
  Palettes/Blue1.pal
  Palettes/Blue2.pal

=== debian/changelog ===
js8call (2.5.1+ds-1) unstable; urgency=medium

  * New upstream version 2.5.1+ds.

 -- Christoph Berg <myon@debian.org>  Sat, 17 Jan 2026 01:40:38 +0100

## js8call 2.5.2+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -67,8 +67,7 @@
 set(PROJECT_HOMEPAGE https://groups.io/g/js8call)
 set(PROJECT_SUMMARY_DESCRIPTION "${PROJECT_NAME} - Digital Modes for Weak Signal Communications in Amateur Radio.")
 set(PROJECT_DESCRIPTION "${PROJECT_SUMMARY_DESCRIPTION}
- ${PROJECT_NAME} is a computer program designed to facilitate amateur
- radio communication using very weak signals.")
+ ${PROJECT_NAME} facilitates amateur radio automatic beaconing and signal reports with messaging capability.")
 
 #------------------------------------------------------------------------------#
 # Add our own CMake modules.
@@ -174,7 +173,7 @@
 set_target_properties(
   ${TARGET} PROPERTIES
   MACOSX_BUNDLE_INFO_PLIST             "${CMAKE_CURRENT_SOURCE_DIR}/Darwin/Info.plist.in"
-  MACOSX_BUNDLE_INFO_STRING            "JS8 mode providing weak signal communications for Amateur Radio"
+  MACOSX_BUNDLE_INFO_STRING            "JS8Call facilitates amateur radio automatic beaconing and signal reports with messaging capability."
   MACOSX_BUNDLE_ICON_FILE              "${ICON_FILE}"
   MACOSX_BUNDLE_BUNDLE_VERSION         "${wsjtx_VERSION}"
   MACOSX_BUNDLE_SHORT_VERSION_STRING   "${wsjtx_SHORT_VERSION}"
@@ -345,5 +344,3 @@
   PREFIX   "/Palettes"
   FILES
   Palettes/Banana.pal
-  Palettes/Blue1.pal
-  Palettes/Blue2.pal

=== debian/changelog ===
js8call (2.5.2+ds-1) unstable; urgency=medium

  * New upstream version 2.5.2+ds.

 -- Christoph Berg <myon@debian.org>  Mon, 02 Feb 2026 18:58:34 +0100

=== debian/control ===
--- 
+++ 
@@ -7,18 +7,15 @@
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
- gfortran,
  libboost-dev,
-# TODO: why libegl1?
- libegl-dev,
+ libeigen3-dev,
  libfftw3-dev,
  libhamlib-dev,
- libqcustomplot-dev,
- libqt5serialport5-dev,
+ qt6-multimedia-dev,
+ qt6-serialport-dev,
  libsqlite3-dev,
  libudev-dev,
- qtmultimedia5-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/js8call
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/js8call.git
 Homepage: http://js8call.com/

=== debian/rules ===
#!/usr/bin/make -f

override_dh_installchangelogs:
	dh_installchangelogs README.md

%:
	dh $@

=== debian/watch ===
Version: 5

Source: https://github.com/JS8Call-improved/JS8Call-improved/tags
Matching-Pattern: .*/@ANY_VERSION@.tar.gz
Dversionmangle: s/\+ds//
Repacksuffix: +ds
